Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Why am I suddenly seeing my favourite addons showing "security could not be verified" warnings?

more options

This is a new problem.Several of my addons are displaying this warning,even an addon from my Avast! AV! Fortunately,they still work,but will be blocked from running with FF version 43,I've read.

Valgt løsning

Current Firefox releases require extensions to be signed to prevent abuse.

  • https://wiki.mozilla.org/Addons/Extension_Signing
    Firefox 40-42: Firefox warns about signatures but doesn't enforce them.
    Firefox 43: Firefox will have a preference that allows signature enforcement to be disabled (xpinstall.signatures.required in about:config).
    Firefox 44: Release and Beta versions of Firefox will not allow unsigned extensions to be installed, with no override.

You will have to wait until your security software offers extensions that are signed by Mozilla.


https://support.mozilla.org/kb/add-ons-signing-firefox

Les dette svaret i sammenhengen 👍 1

All Replies (5)

more options

Valgt løsning

Current Firefox releases require extensions to be signed to prevent abuse.

  • https://wiki.mozilla.org/Addons/Extension_Signing
    Firefox 40-42: Firefox warns about signatures but doesn't enforce them.
    Firefox 43: Firefox will have a preference that allows signature enforcement to be disabled (xpinstall.signatures.required in about:config).
    Firefox 44: Release and Beta versions of Firefox will not allow unsigned extensions to be installed, with no override.

You will have to wait until your security software offers extensions that are signed by Mozilla.


https://support.mozilla.org/kb/add-ons-signing-firefox

more options

Okay,that makes sense,but I am surprised even the Avast! addon is unsigned.

more options

Per the email I just received from Avast -- The current version of Avast has been approved by Mozilla, but I still am getting that my anti-virus is not working with Firefox. Please help.

more options

I have FF 42.0,and I have a warning that " Avast Online Security could not be verified for use in FF.Proceed with caution." Hopefully,it doesn't stop working altogether when I get to FF 44.

more options

Hopefully Avast will get their Firefox add-ons signed before mandatory signing goes into effect in Firefox 45 = the version for enforcement of signing as of now.